/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.myfaces.renderkit.html.ext;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.ConverterException;


/**
 * A converter for Integer that changes the integer a bit.
 * 
 * @author Jakob Korherr (latest modification by $Author: lu4242 $)
 * @version $Revision: 963899 $ $Date: 2010-07-13 18:57:38 -0400 (Tue, 13 Jul 2010) $
 */
public class MockIntegerConverter implements Converter
{
    
    public Object getAsObject(FacesContext context, UIComponent component,
            String value) throws ConverterException
    {
        return (new Integer(value) - 10);
    }

    public String getAsString(FacesContext context, UIComponent component,
            Object value) throws ConverterException
    {
        if (value instanceof String)
        {
            value = new Integer((String) value);
        }
        return (((Integer) value) + 10) + "";
    }

}
